Get Biomaterials data

Returns the list of Biomaterials used in Ornament.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Query parameters

NameTypeRequiredDescription
langstringYesLanguage used for biomaterial titles. Example: EN.

Supported languages: EN, DE, ES, PT, RU.

Request example

curl --location 'https://sandbox-api.ornament.health/thesaurus-api/public/v1.0/biomaterials?lang=EN' \
--header 'Authorization: ••••••' 

Response

Returns an array of biomaterial objects.

Response schema

FieldTypeRequiredDescription
idintegerYesUnique biomaterial identifier.
titlestringYesBiomaterial title in the requested language.

Notes

  • This method returns only thesaurus data as used in Ornament.
  • Biomaterial IDs can be used to interpret other thesaurus responses, for example the biomaterialId field in the biomarkers dictionary method.

Response example

[
  {
    "id": 1,
    "title": "Serum"
  },
  {
    "id": 2,
    "title": "Blood"
  },
  {
    "id": 3,
    "title": "Erythrocytes"
  },
  {
    "id": 4,
    "title": "Saliva"
  },
  {
    "id": 5,
    "title": "Urine"
  },
  {
    "id": 6,
    "title": "Plasma"
  },
  {
    "id": 7,
    "title": "Feces"
  },
  {
    "id": 8,
    "title": "Hairs"
  },
  {
    "id": 9,
    "title": "CSF"
  },
  {
    "id": 10,
    "title": "Nails"
  },
  {
    "id": 11,
    "title": "Amniotic fluid"
  },
  {
    "id": 12,
    "title": "Urogenital scraping"
  },
  {
    "id": 13,
    "title": "Pharyngeal swab"
  },
  {
    "id": 14,
    "title": "Prostatic fluid"
  },
  {
    "id": 15,
    "title": "Semen"
  },
  {
    "id": 16,
    "title": "Exhaled air"
  },
  {
    "id": 17,
    "title": "Tick body fragments"
  },
  {
    "id": 18,
    "title": "Bone marrow"
  }
]
Query Params
string
required
length between 2 and 2

Localisation language name, 2 letters

Responses

400

Bad request

404

Not found

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json